declare const _sfc_main: import("vue").DefineComponent<{
    conditionOptions: {
        type: ArrayConstructor;
        default: () => any[];
    };
}, {
    isVisible: import("vue").Ref<boolean>;
    selectedIds: import("vue").Ref<any[]>;
    controlList: import("vue").ComputedRef<any>;
    bindComponentId: import("vue").Ref<any>;
    indicatorComponents: import("vue").ComputedRef<any>;
    onAddControl: (join?: '||' | '&&') => void;
    filterOption: (inputValue: string, option: {
        [key: string]: any;
    }) => any;
    handleConfirmSync: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    conditionOptions: {
        type: ArrayConstructor;
        default: () => any[];
    };
}>>, {
    conditionOptions: unknown[];
}, {}>;
export default _sfc_main;
